### Method

# Gimp Image metadata_save_finish

since: 2.10

#### Declaration [src]

    gboolean
    gimp_image_metadata_save_finish (
      GimpImage* image,
      const gchar* mime_type,
      GimpMetadata* metadata,
      GimpMetadataSaveFlags flags,
      GFile* file,
      GError** error
    )

#### Description [src]

Saves the `metadata` retrieved from the image with `gimp_image_metadata_save_prepare()` to `file`, taking into account the passed `flags`.

Note that the `image` passed to this function might be different from the image passed to gimp_image_metadata_save_prepare(), due to whatever file export conversion happened in the meantime.

Available since: 2.10

#### Parameters

`mime_type`

  Type: `const gchar*`

  The saved file’s mime-type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`metadata`

  Type: `GimpMetadata`

  The metadata to write to `file`.

  The data is owned by the caller of the function.

`flags`

  Type: `GimpMetadataSaveFlags`

  Flags to specify what of the metadata to save.

`file`

  Type: `GFile`

  The file `image` was saved to.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the save was successful.